Skip to main content

Plesk 12.1.8 Preview

Plesk 12.1.8 early preview is available. This build is not for production usage, only for demonstration purposes.

Changelog

Preview release highlights:​

  • Fully reworked Databases screen. Many features were improved and many new were added. The most notable: 
    • Direct uploading and downloading of database dumps.
    • Users can now manage permissions of database users.
    • Checking and repairing of databases.

Screen Shot 2014-10-14 at 13.54.16

  • Web Presence Builder has become an optional component of Plesk.
  • WordPress installation now takes less time.
  • Google Services for Websites access provider program is no longer supported by Plesk.
  • WebDeploy 3.5 is now supported (Windows only).
  • Support for PHP 5.6 was added.
  • MySQL 5.6 is now installed on new Plesk for Windows installations.

Additional details:

How to Install a Preview Version on Linux

Log in as root and perform the commands:

How to Install a Preview Version on Windows

  1. Download http://autoinstall-win.pp.parallels.com/plesk-installer.exe
  2. Run  plesk-installer.exe --all-versions

Preview trial license

Please use the following trial license activation code for your Plesk Preview installation. This is Plesk 12 Web Host Edition + Unlimited Language Packs trial license.

A00H00-327Q03-HD4W13-0BDZ18-V0E652

23 thoughts

  1. Dominic -

    Hi,
    this preview looks great!
    I see that sw-cp-serverd was compiled with –with-http_spdy_module but “default” nginx was not compiled –with-http_spdy_module.
    Do you plan to compile it with spdy but maybe disable it by default?
    It would be an great addition and at uservoice there are other people who would be very happy to see spdy.

    Reply

    Alexei Yuzhakov -

    Yes we have a plan to compile nginx for clients websites w/ SPDY support too.

    Reply

  2. ninii -

    Hello,
    Scheduled Tasks on domain not working … i get ‘Permision Denied’ error.

    Reply

    Alexei Yuzhakov -

    Please send your bug report using the following form: http://sp.parallels.com/support/plesk/bugreport/
    P.S. Don’t forget to include steps to reproduce.

    Reply

  3. Andrew C -

    Will WPB be an optional component when using EZtemplates too?

    Reply

  4. Bilal -

    Failed to install on VPN CENTOS 7.0

    Gathering information about installed license key…
    Loaded plugins: fastestmirror
    NGINX_1_6_2-dist | 2.9 kB 00:00
    NGINX_1_6_2-thirdparty | 2.9 kB 00:00
    PSA_12_1_10-dist | 2.9 kB 00:00
    PSA_12_1_10-thirdparty | 2.9 kB 00:00
    SITEBUILDER_12_0_6-dist | 2.9 kB 00:00
    SITEBUILDER_12_0_6-thirdparty | 2.9 kB 00:00
    Loading mirror speeds from cached hostfile
    * base: http://ftp.nluug.nl
    * epel: http://ftp.nluug.nl
    * extras: http://ftp.nluug.nl
    * updates: http://ftp.nluug.nl
    Exception: Failed to solve dependencies:
    1:perl-JSON-XS-2.27-2.el6.x86_64 requires perl(:MODULE_COMPAT_5.10.1)

    ERROR: The Yum utility failed to install the required packages.
    Attention! Your software might be inoperable.
    Please, contact product technical support.

    Reply

  5. Bilal -

    Edit:
    Failed to install on VPS CENTOS 7.0

    Reply

    Michael Zarubin -

    Hello,

    It seems you have an ‘epel’ repo for centos6, not for centos7 – 7.x pakcages should have release suffix ‘el7’, and your have ‘el6’. Either fix or disable ‘epel’ repo in yum.

    Reply

  6. Bilal -

    Thank you Michael,

    It works with your suggestion. I used this tip:

    Open /etc/yum.repos.d/epel.repo and set any instance of ‘enabled=1′ to ‘enabled=0′

    While it succeed to install but I’ve got warning. unfortunately the limit if window scroll of putty not allowing me to see where the log file is written to see these warnings.

    Reply

  7. Chris -

    man, you left out the best new feature – why beeing so modest?

    – The support for distribution upgrade of Debian 6 to Debian 7 was added.
    – The support for distribution upgrade of Ubuntu 12.04 to Ubuntu 14.04 was added

    Though I’ve already performed several dist-upgrades on debian/ubuntu in the past, they were always a big PITA till everything worked again.
    Now seeing official support, damn – I’m very excited to see that.

    Reply

  8. Chris -

    speaking of presence builder now that its a separate product is the any development going on for version 12.1 say?

    Reply

    Sergey Lystsev -

    Presence Builder has always existed in 3 forms:
    – separate product (standalone)
    – embedded in Parallels Plesk
    – embedded in Parallels Automation

    It is still embedded in Plesk but yet we don’t have new features to show by now

    Reply

  9. Kingsley -

    Hello;

    Can i use plesk 12.1.15 (testing) for production sites? and when are we expecting a stable release?

    Reply

    Alexei Yuzhakov -

    12.1.15 is stable enough, but its primary goal is to show the new features and give a chance to test them before release. It’s not recommend to use it for production. Preliminary release date for 12.1 is 2015 Q3.

    Reply

    Kingsley -

    Alright Thanks, gonna stick with 12.0.18 for now.

    Reply

  10. Chris -

    This looks amazing! Can’t wait 🙂

    Also loving the multiple php out of the box!

    Reply

  11. Jake -

    Detecting installed product components.
    Gathering information about installed license key…
    Launching component checkers…
    File downloading PSA_12.1.8/examiners/panel_preupgrade_checker.php: 10%..21%..37%..50%..61%..72%..83%..95%..100% was finished.
    File downloading PSA_12.1.8/examiners/php_launcher.sh: 100% was finished.

    Components validation detected at least one important issue:
    Parallels Panel pre-upgrade check…
    FATAL_ERROR: Unable to get IP address

    Proceeding with installation or upgrade without resolving the issues
    that were found can corrupt your data.

    Do you want to continue?
    Type either Yes or No:
    [N]: Yes
    Loaded plugins: fastestmirror, langpacks
    NGINX_1_6_2-dist | 2.9 kB 00:00
    NGINX_1_6_2-thirdparty | 2.9 kB 00:00
    PHP_5_4_37-dist | 2.9 kB 00:00
    PHP_5_4_37-thirdparty | 2.9 kB 00:00
    PHP_5_5_20-dist | 2.9 kB 00:00
    PHP_5_5_20-thirdparty | 2.9 kB 00:00
    PHP_5_6_3-dist | 2.9 kB 00:00
    PHP_5_6_3-thirdparty | 2.9 kB 00:00
    PSA_12_1_8-dist | 2.9 kB 00:00
    PSA_12_1_8-thirdparty | 2.9 kB 00:00
    SITEBUILDER_12_0_7-dist | 2.9 kB 00:00
    SITEBUILDER_12_0_7-thirdparty | 2.9 kB 00:00
    PSA_12_1_8-thirdparty/primary_db | 0 B 00:00
    http://autoinstall.plesk.com/PSA_12.1.8/thirdparty-rpm-CentOS-7-x86_64/repodata/1777cb93ebb39658cc9e093384a5090934929bbee845b50cfed70aeffe1c1e9a-primary.sqlite.bz2: [Errno 14] HTTP Error 404 – Not Found
    Trying other mirror.
    PSA_12_1_8-dist/primary_db | 0 B 00:00
    http://autoinstall.plesk.com/PSA_12.1.8/dist-rpm-CentOS-7-x86_64/repodata/2ce7b3ddb6d329addd04120c0dbb89f6a777c15a80639c723e2435b2b2ab5e5e-primary.sqlite.bz2: [Errno 14] HTTP Error 404 – Not Found
    Trying other mirror.
    Loading mirror speeds from cached hostfile
    * base: reflector.westga.edu
    * extras: mirrors.centarra.com
    * remi: mirrors.mediatemple.net
    * remi-php56: mirrors.mediatemple.net
    * remi-safe: mirrors.mediatemple.net
    * updates: dist1.800hosting.com
    * webtatic: us-east.repo.webtatic.com
    PSA_12_1_8-thirdparty/primary_db | 0 B 00:00
    http://autoinstall.plesk.com/PSA_12.1.8/thirdparty-rpm-CentOS-7-x86_64/repodata/1777cb93ebb39658cc9e093384a5090934929bbee845b50cfed70aeffe1c1e9a-primary.sqlite.bz2: [Errno 14] HTTP Error 404 – Not Found
    Trying other mirror.
    PSA_12_1_8-dist/primary_db | 0 B 00:00
    http://autoinstall.plesk.com/PSA_12.1.8/dist-rpm-CentOS-7-x86_64/repodata/2ce7b3ddb6d329addd04120c0dbb89f6a777c15a80639c723e2435b2b2ab5e5e-primary.sqlite.bz2: [Errno 14] HTTP Error 404 – Not Found
    Trying other mirror.
    http://autoinstall.plesk.com/PSA_12.1.8/dist-rpm-CentOS-7-x86_64/repodata/2ce7b3ddb6d329addd04120c0dbb89f6a777c15a80639c723e2435b2b2ab5e5e-primary.sqlite.bz2: [Errno 14] HTTP Error 404 – Not Found
    Trying other mirror.
    Failed to install fail2ban:
    Error while downloading packages metainfo: failure: repodata/2ce7b3ddb6d329addd04120c0dbb89f6a777c15a80639c723e2435b2b2ab5e5e-primary.sqlite.bz2 from PSA_12_1_8-dist: [Errno 256] No more mirrors to try.
    http://autoinstall.plesk.com/PSA_12.1.8/dist-rpm-CentOS-7-x86_64/repodata/2ce7b3ddb6d329addd04120c0dbb89f6a777c15a80639c723e2435b2b2ab5e5e-primary.sqlite.bz2: [Errno 14] HTTP Error 404 – Not Found. Trying again.
    PSA_12_1_8-dist/primary_db | 0 B 00:00
    http://autoinstall.plesk.com/PSA_12.1.8/dist-rpm-CentOS-7-x86_64/repodata/2ce7b3ddb6d329addd04120c0dbb89f6a777c15a80639c723e2435b2b2ab5e5e-primary.sqlite.bz2: [Errno 14] HTTP Error 404 – Not Found

    Trying other mirror.
    PSA_12_1_8-thirdparty/primary_db | 0 B 00:00
    http://autoinstall.plesk.com/PSA_12.1.8/thirdparty-rpm-CentOS-7-x86_64/repodata/1777cb93ebb39658cc9e093384a5090934929bbee845b50cfed70aeffe1c1e9a-primary.sqlite.bz2: [Errno 14] HTTP Error 404 – Not Found
    Trying other mirror.
    http://autoinstall.plesk.com/PSA_12.1.8/dist-rpm-CentOS-7-x86_64/repodata/2ce7b3ddb6d329addd04120c0dbb89f6a777c15a80639c723e2435b2b2ab5e5e-primary.sqlite.bz2: [Errno 14] HTTP Error 404 – Not Found
    Trying other mirror.
    Failed to install fail2ban:
    Error while downloading packages metainfo: failure: repodata/2ce7b3ddb6d329addd04120c0dbb89f6a777c15a80639c723e2435b2b2ab5e5e-primary.sqlite.bz2 from PSA_12_1_8-dist: [Errno 256] No more mirrors to try.
    http://autoinstall.plesk.com/PSA_12.1.8/dist-rpm-CentOS-7-x86_64/repodata/2ce7b3ddb6d329addd04120c0dbb89f6a777c15a80639c723e2435b2b2ab5e5e-primary.sqlite.bz2: [Errno 14] HTTP Error 404 – Not Found. Trying again.
    PSA_12_1_8-dist/primary_db | 0 B 00:00
    http://autoinstall.plesk.com/PSA_12.1.8/dist-rpm-CentOS-7-x86_64/repodata/2ce7b3ddb6d329addd04120c0dbb89f6a777c15a80639c723e2435b2b2ab5e5e-primary.sqlite.bz2: [Errno 14] HTTP Error 404 – Not Found
    Trying other mirror.
    PSA_12_1_8-thirdparty/primary_db | 0 B 00:00
    http://autoinstall.plesk.com/PSA_12.1.8/thirdparty-rpm-CentOS-7-x86_64/repodata/1777cb93ebb39658cc9e093384a5090934929bbee845b50cfed70aeffe1c1e9a-primary.sqlite.bz2: [Errno 14] HTTP Error 404 – Not Found
    Trying other mirror.
    http://autoinstall.plesk.com/PSA_12.1.8/dist-rpm-CentOS-7-x86_64/repodata/2ce7b3ddb6d329addd04120c0dbb89f6a777c15a80639c723e2435b2b2ab5e5e-primary.sqlite.bz2: [Errno 14] HTTP Error 404 – Not Found
    Trying other mirror.
    Failed to install fail2ban:
    Number of retries is exceeded.
    NoMoreMirrorsRepoError: failure: repodata/2ce7b3ddb6d329addd04120c0dbb89f6a777c15a80639c723e2435b2b2ab5e5e-primary.sqlite.bz2 from PSA_12_1_8-dist: [Errno 256] No more mirrors to try.
    http://autoinstall.plesk.com/PSA_12.1.8/dist-rpm-CentOS-7-x86_64/repodata/2ce7b3ddb6d329addd04120c0dbb89f6a777c15a80639c723e2435b2b2ab5e5e-primary.sqlite.bz2: [Errno 14] HTTP Error 404 – Not Found

    ERROR: The Yum utility failed to install the required packages.
    Attention! Your software might be inoperable.
    Please, contact product technical support.

    Reply

    Jake -

    Note that is attempting 12.1.8, Was unwilling to attempt .24 as I received a warning that the autoinstaller was out of date

    Reply

    Michael Zarubin -

    Hello,

    12.1.8 is quite old, and removed from autoisntall.plesk.com server. We recommend to install latest availiable version – currently 12.5.27

    Reply

  12. John -

    please update the trial license because is not working …

    Reply

    Alexei Yuzhakov -

    Thank you for your report. Activation code was updated.

    Reply

  13. Kingsley -

    Hello;

    So when are we expecting updated version? for the past 3 months now..

    Reply

Leave a Reply

Your email address will not be published. Required fields are marked *

0 Shares
Tweet
Share
Share
Buffer
Reddit
+1